Redmine - Defect #4228

no notification on issue creation by mail with redmine:email:receive_imap
2009-11-17 11:58 - Jérdbme Bousquié

Status: Closed Start date: 2009-11-17
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Hello,

| have Redmine 0.8.7 running on ubuntu 8.40 with Rails 2.3.4 , ruby 1.8.6, mysqgl and apache/phusion.

Redmine sends and receives mails without any problem. It is set up to create issues via email and this functionality runs well too. It's
configured as an imap client.

My problem is :

given an user (authorized to submit issues to my project), email notifications are sent to the project members (they are set up to be
notified) if this user creates an issue in the web interface. If the same user sends a mail to create an issue, the issue is created well
but no notification are sent to the project members (even if there is an automatic assignation by category on this issue).

On issue creation, the notification seems not to be working with the rake redmine:email:receive_imap (set up with async_imap).
Nothing is visible in the log about some email sending after having commented the paramater config.action_mailer.logger = nil in the
configuration.

| remember | used to use rdm-mailhandler in my previous organisation and it used to notify the project members on email issue
creation. | just tested it on hitps:/projets-lim.univ-reunion.fr/

Any idea ? does rake redmine:email:receive_imap and rdm-mailhandler behave differently about the issue management ?

thank you

Related issues:

Related to Redmine - Patch #613: Asynchronous email delivery Closed 2008-02-06
Related to Redmine - Defect #6069: No Outgoing Mails when Customer creates Ti... New 2010-08-06
Has duplicate Redmine - Defect #5058: reminder mails are not sent when delive... Closed 2010-03-12

Associated revisions

Revision 3115 - 2009-12-02 20:52 - Jean-Philippe Lang

Add assertion about email notification on issue creation via email (#4228).

History

#1 - 2009-11-19 20:35 - Jean-Philippe Lang

- Category set to Email notifications

#2 - 2009-11-20 14:02 - Jérome Bousquié

Hello,

On the same deployment (https://projets.iut-rodez.fr/), | set up redmine to receive emails via postfix and the project members are now notified, even
on mail issue submission. So the notification behavior really differs on email issue creation between imap et postfix processes.

regards

#3 - 2009-12-02 20:46 - Jean-Philippe Lang

Any idea ? does rake redmine:email:receive_imap and rdm-mailhandler behave differently about the issue management ?

Emails submitted by the rake task and rdm-mailhandler are both processed by MailHandler class.
So behaviour should be the same.

How can | reproduce this problem?

#4 - 2010-08-10 11:50 - Mihail Rukavishnikov

Hello,

There are no any calls to notification mechanism when creating issues from email. Issues are created using the following code (see

app/models/mail_handler.rb:

issue = Issue.new(:author => user, :project => project, :tracker => tracker, :category => category, :priority
=> priority, :due_date => due_date, :start_date => start_date, :assigned_to => assigned_to)

issue.save!
add_attachments (issue)

So, the possible solution is to add something like the following after saving the issue:
Mailer.deliver_issue_add(issue) if Setting.notified_events.include? ('issue_added"')

#5 - 2011-02-09 13:42 - Anton Nepomnyaschih

+1. We have the same problem :( Jean, do you need any help with this? Steps to reproduce or any?..

#6 - 2011-02-09 14:03 - Anton Nepomnyaschih

How can | add any log-file which can show you the problem and steps to reproduce?

#7 - 2011-02-09 14:07 - Evgeny Zhiryakov

Same problem, issues received by email doesn't generate notifications.
Redmine 1.1.1 from svn revision 4802, running on Debian 6.0, ruby 1.8.7, rails 2.3.5, mysqgl and apache/passanger.
| don't know how reproduce this problem, but | want help as | can.

#8 - 2011-02-09 16:12 - Etienne Massip
You could change logging level to get some debug trace from Redmine::IMAP and MailHandler ?

In config/environments/production.rb :

# Disable delivery errors if you bad email addresses should just be ignored
config.action_mailer.raise_delivery_errors = true

# No email in production log

# config.action_mailer.logger = nil
config.log_level = :debug

#9 - 2011-02-11 07:44 - Evgeny Zhiryakov

Turning on debug log level showed NOTHING about this problem.
The unit test mail_handler_test.rb showing only one failure:

# ruby test/unit/mail_handler_test.rb -v
Finished in 3.345716 seconds.

1) Failure:

test_add_issue_should_send_email_notification(MailHandlerTest) [test/unit/mail_handler_test.rb:295]:
<1> expected but was
<2>.

35 tests, 182 assertions, 1 failures, 0 errors

What this mean?

#10 - 2011-02-28 10:40 - Etienne Massip

Could you please add the followinng lines before assert_equal to source:trunk/test/unit/mail_handler_test.rb#L295 and run the test again ?
logger.info ActionMailer::Base.deliveries[0].inspect
logger.info ActionMailer::Base.deliveries[1l].inspect

Then you should have the description of both objects in log file.

#11 - 2011-02-28 12:00 - Evgeny Zhiryakov
| added these lines:

RAILS_DEFAULT_LOGGER.info ActionMailer::Base.deliveries[0].inspect
RAILS_DEFAULT_LOGGER.info ActionMailer::Base.deliveries[1l].inspect

But in the log file does't appear any new information.

#12 - 2011-02-28 12:22 - Etienne Massip
Yes, sorry, it's a test so it should not log anything. Could you try by replacing RAILS_DEFAULT_LOGGER.info with puts, please ?

#13 - 2011-02-28 12:33 - Evgeny Zhiryakov

Something has issued, but | don't understand what.

Loaded suite mail_handler_test

Started

................. #<TMail::Mail port=#<TMail::StringPort:id=0x..fdabl3bcc> bodyport=#<TMail::StringPort:id=0x..

fdab0f2ac>>
#<TMail::Mail port=#<TMail::StringPort:1d=0x..fdaaeb406> bodyport=#<TMail::StringPort:id=0x..fdaae8a76>>

Finished in 3.55149 seconds.

1) Failure:
test_add_issue_should_send_email_notification(MailHandlerTest) [mail_handler_test.rb:297]:
<1> expected but was
<2>.

#14 - 2011-02-28 14:55 - Etienne Massip

Next try :

p ActionMailer::Base.deliveries[0].header.inspect
p ActionMailer::Base.deliveries[0] .body

p ActionMailer::Base.deliveries[1l].header.inspect
p ActionMailer::Base.deliveries[1l].body

#15 - 2011-03-01 05:38 - Evgeny Zhiryakov
- File output.txt added

Done, | attached the output in file output.txt

#16 - 2011-03-01 11:34 - Etienne Massip

That is twice the same mail.

What is you mail configuration, please ?

#17 - 2011-03-01 11:44 - Evgeny Zhiryakov

# Outgoing email settings

production:

delivery_method: :async_smtp

smtp_settings:
tls: true
address: "smtp.gmail.com"
port: '587'
domain: "smtp.gmail.com"
authentication: :plain
user_name: "redmine@****** com"
paSSWOKd: Mk, kkk k k%N

#18 - 2011-03-01 11:52 - Etienne Massip
Could you try the fix of Go MAEDA for async_smtp issue in #5058, please ?
#19 - 2011-03-01 13:36 - Evgeny Zhiryakov

Thanks a lot for the tip, | just change async_smtp to smtp, and notification began to come.
- delivery_method: :async_smtp

+ delivery_method: :smtp

P.S. Method of Go MAEDA for async_smtp issue dosen't help me.

#20 - 2011-03-01 14:28 - Etienne Massip

AFAIK, :async_imap has no effect ?!

| think that this issue is actually the same as #5058.

#21 - 2011-03-01 16:09 - Etienne Massip

If you have some time left, could you make a new attempt for :async_smtp with the 2 following lines added to lib/tasks/email.rake :

task :receive_imap => :environment do
Thread.abort_on_exception = true

(existing code)

threads.each {|t| t.join }
end

#22 - 2011-03-21 10:01 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Resolved by switching smtp delivery_method setting from async_smtp to smtp, which is kind of a feature loss.

Would be great if someone could post a feedback about the change proposed in note-21.

Files
output.txt 11.6 KB 2011-03-01 Evgeny Zhiryakov
